# Uses of Interface
org.eclipse.jdt.ui.text.IColorManager

Packages that use IColorManager
Package
Description
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.
org.eclipse.jdt.ui.text
Application programming interfaces for interaction with the Eclipse Java User Interface text support.

## Uses of IColorManager in org.eclipse.jdt.ui

Methods in org.eclipse.jdt.ui that return IColorManager
Modifier and Type
Method
Description
`static IColorManager`
JavaUI.`getColorManager()`
Returns the color manager the Java UI plug-in which is used to manage any Java-specific colors needed for such things like syntax highlighting.

## Uses of IColorManager in org.eclipse.jdt.ui.text

Methods in org.eclipse.jdt.ui.text that return IColorManager
Modifier and Type
Method
Description
`protected IColorManager`
JavaSourceViewerConfiguration.`getColorManager()`
Returns the color manager for this configuration.
`IColorManager`
JavaTextTools.`getColorManager()`
Returns the color manager which is used to manage any Java-specific colors needed for such things like syntax highlighting.
Constructors in org.eclipse.jdt.ui.text with parameters of type IColorManager
Modifier
Constructor
Description
``
`JavaSourceViewerConfiguration(IColorManager colorManager, org.eclipse.jface.preference.IPreferenceStore preferenceStore, org.eclipse.ui.texteditor.ITextEditor editor, String partitioning)`
Creates a new Java source viewer configuration for viewers in the given editor using the given preference store, the color manager and the specified document partitioning.
``
`JavaSourceViewerConfiguration(IColorManager colorManager, org.eclipse.jface.preference.IPreferenceStore preferenceStore, org.eclipse.ui.texteditor.ITextEditor editor, String partitioning, boolean isModuleInfo)`
Creates a new Java source viewer configuration for viewers in the given editor using the given preference store, the color manager and the specified document partitioning.